package com.ruoyi.ss.device.service;


import com.ruoyi.ss.device.domain.vo.DeviceVO;

import java.util.List;

/**
 * 设备信息组装员
 * @author wjh
 * 2024/4/13
 */
public interface DeviceAssembler {

    /**
     * 拼接套餐列表
     */
    void assembleSuitList(List<DeviceVO> list);

    /**
     * 拼接店铺营业时间
     */
    void assembleBusinessTime(List<DeviceVO> list);

    /**
     * 拼接订单统计信息：订单数量、订单金额
     */
    void assembleOrderCountInfo(List<DeviceVO> list);

    /**
     * 拼接真实的服务费率
     */
    void assembleRealServiceRate(DeviceVO device);

    /**
     * 拼接真实的服务费率
     */
    void assembleRealServiceRate(List<DeviceVO> list);
}
