package com.ruoyi.dashboard.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/10/8
 */
@Data
public class BusinessStatisticsQuery {

    @ApiModelProperty("日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> dateRange;

    @ApiModelProperty("商户ID")
    private Long mchId;

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("订单状态")
    private List<String> billStatusList;

    @ApiModelProperty("订单类型")
    private String billType;

    @ApiModelProperty("店铺名称")
    private String storeName;

}
