package com.ruoyi.dashboard.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author wjh
 * 2024/9/7
 */
@Data
public class ServiceIncomeVO {

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("月费收入")
    private BigDecimal monthAmount;

    @ApiModelProperty("订单服务费收入")
    private BigDecimal serviceAmount;

    @ApiModelProperty("提现服务费收入")
    private BigDecimal withdrawServiceAmount;

    @ApiModelProperty("渠道成本")
    private BigDecimal channelCost;

    @ApiModelProperty("订单手机号收入")
    private BigDecimal billMobileAmount;

}
